rpl.rpl_semi_sync_event sporadically fails in 5.5.11

Bug #758934 reported by Alexey Kopytov on 2011-04-12
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
percona-projects-qa
Undecided
Unassigned

Bug Description

rpl.rpl_semi_sync_event fails sporadically. This is an upstream problem which was fixed here: http://lists.mysql.com/commits/133904 but I don't see that fix in 5.5.11.

Symptoms:

rpl.rpl_semi_sync_event 'mix' [ exp-fail ] Found warnings/errors in server log file!
        Test ended at 2011-04-10 02:52:44
line
110410 12:52:33 [Warning] Slave SQL: Request to stop slave SQL Thread received while applying a group that has non-transactional changes; waiting for completion of the group ... , Error_code: 0
110410 12:52:33 [Warning] Slave SQL: Request to stop slave SQL Thread received while applying a group that has non-transactional changes; waiting for completion of the group ... , Error_code: 0
110410 12:52:33 [Warning] Slave SQL: Request to stop slave SQL Thread received while applying a group that has non-transactional changes; waiting for completion of the group ... , Error_code: 0
^ Found warnings in /home/alexey.kopytov/src/percona/5.5.11/Percona-Server-debug/mysql-test/var/log/mysqld.2.err
ok

Related branches

Changed in percona-projects-qa:
milestone: none → 5.5.11
Oleg Tsarev (tsarev) on 2011-04-20
Changed in percona-projects-qa:
status: New → In Progress
assignee: nobody → Oleg Tsarev (tsarev)
Oleg Tsarev (tsarev) wrote :

Already fixed in mysql 5.5.11

Changed in percona-projects-qa:
status: In Progress → Invalid
Oleg Tsarev (tsarev) on 2011-04-20
Changed in percona-projects-qa:
status: Invalid → Fix Committed
Oleg Tsarev (tsarev) on 2011-04-21
Changed in percona-projects-qa:
assignee: Oleg Tsarev (tsarev) → Valentine Gostev (core-longbow)
Changed in percona-projects-qa:
assignee: Valentine Gostev (core-longbow) → nobody
Alexey Kopytov (akopytov) wrote :

Fixed in 5.5.11-rel20.2.

Changed in percona-projects-qa:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers